Get Ip Spaces

Get Ip Spaces
Retrieves all the IP Blocks.

Get all the IP Blocks in the system. Use the custom filter cidr to find IP Blocks that overlap with a given CIDR. The cidr filter must be combined with regionRef.id or 'regionRef.name' filter, but no other filters are allowed. For example: cidr==10.17.20.0/24;regionRef.id==urn:vcloud:region:uuid

Request
URI
GET
https://{api_host}/cloudapi/v1/ipSpaces
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns IpAddressSpaces of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineIpAddressSpaces1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "status": "string",
            "id": "urn:vcloud:ipSpace:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "name": "string",
            "description": "string",
            "internalScopeCidrBlocks": [
                {
                    "id": "string",
                    "name": "string",
                    "cidr": "10.0.0.0/8"
                }
            ],
            "ipAddressRanges": [
                {
                    "id": "string",
                    "startIpAddress": "string",
                    "endIpAddress": "string"
                }
            ],
            "reservedIpAddressRanges": [
                {
                    "id": "string",
                    "startIpAddress": "string",
                    "endIpAddress": "string"
                }
            ],
            "backingId": "string",
            "isImportedIpBlock": false,
            "externalScopeCidr": "10.0.0.0/8",
            "regionRef": {
                "name": "string",
                "id": "string"
            },
            "defaultQuota": {
                "maxIpCount": 0,
                "maxCidrCount": 0,
                "maxSubnetSize": 24
            },
            "subnetExclusive": false,
            "dedicatedDistributedVlanConnectionRef": {
                "name": "string",
                "id": "string"
            },
            "providerVisibilityOnly": false
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/ipSpaces?page=value&pageSize=v